Subject: [bug#54299] [PATCH 19/27] added [email-masked]

From: Maxime Devos <[email-masked]>
Date: Tue, 08 Mar 2022 18:56:11 +0100

Till Robin Zickel schreef op di 08-03-2022 om 18:31 [+0100]:
> +     `(#:skip-build? #t

Why?  From (guix)Rust Crates:

   Care should be taken to ensure the correct version of dependencies
are used; to this end we try to refrain from skipping the tests or using
‘#:skip-build?’ when possible.  Of course this is not always possible,
as the package may be developed for a different Operating System, depend
on features from the Nightly Rust compiler, or the test suite may have
atrophied since it was released.

An additional reason is that we want to eventually always re-use pre-compiled
inputs, though AFAICT this is currently not (not always?) possible.

Greetings,
Maxime.